import { FactoryProvider } from '@nestjs/common';
import { DataSource, Repository } from 'typeorm';
import { User } from './user.entity';

export const userProviders = [
  {
    provide: 'USER_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(User),
    inject: ['DATA_SOURCE'],
  } as FactoryProvider<Repository<User>>,
];
